curl --request PUT \
--url https://int-api.mx.com/users/{user_guid}/transaction_rules/{transaction_rule_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_rule": {
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"description": "Wal-mart food storage",
"match_description": "Wal-mart"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/transaction_rules/{transaction_rule_guid}"
payload = { "transaction_rule": {
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"description": "Wal-mart food storage",
"match_description": "Wal-mart"
} }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transaction_rule: {
category_guid: 'CAT-b6d61a19-30a7-e852-2703-bdfb4072289e',
description: 'Wal-mart food storage',
match_description: 'Wal-mart'
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/transaction_rules/{transaction_rule_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_rule": {
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"created_at": "2025-02-13T18:08:00+00:00",
"description": "Wal-mart food storage",
"guid": "TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3",
"match_description": "Wal-mart",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}Update transaction rule
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique id for a transaction_rule.
The unique identifier for a user, beginning with the prefix USR-.
Body
TransactionRule object to be updated
Hide child attributes
Hide child attributes
The unique identifier for the category. Defined by MX.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
The matched transaction's description will be updated to the string provided here.
"Wal-mart food storage"
A string used to find a transaction to which the rule will be applied. Transaction matching is based on a comparison of match_description to a transaction's cleansed description.
"Wal-mart"
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for the category. Defined by MX.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
The date and time the resource was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The matched transaction's description will be updated to the string provided here.
"Wal-mart food storage"
A unique identifier for the transaction_rule. Defined by MX.
"TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3"
A string used to find a transaction to which the rule will be applied. Transaction matching is based on a comparison of match_description to a transaction's cleansed description.
"Wal-mart"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

